# Uses of Interface
org.jmol.api.PlatformViewer

Packages that use PlatformViewer
Package
Description
jspecview.common
jspecview.java
jspecview.js2d
org.jmol.api
org.jmol.awt
org.jmol.awtjs2d
org.jmol.popup
org.jmol.viewer
org.openscience.jmol.app.janocchio

## Uses of PlatformViewer in jspecview.common

Classes in jspecview.common that implement PlatformViewer
Modifier and Type
Class
Description
`class`
`JSViewer`
This class encapsulates all general functionality of applet and app.

## Uses of PlatformViewer in jspecview.java

Methods in jspecview.java with parameters of type PlatformViewer
Modifier and Type
Method
Description
`void`
AwtPopup.`jpiInitialize(PlatformViewer viewer, String menu)`
`void`
AwtPlatform.`setViewer(PlatformViewer viewer, Object display)`
Constructors in jspecview.java with parameters of type PlatformViewer
Modifier
Constructor
Description
``
`FileDropperJmol(PlatformViewer viewer)`

## Uses of PlatformViewer in jspecview.js2d

Methods in jspecview.js2d with parameters of type PlatformViewer
Modifier and Type
Method
Description
`void`
JsPopup.`jpiInitialize(PlatformViewer viewer, String menu)`
`void`
JsPlatform.`setViewer(PlatformViewer viewer, Object canvas)`

## Uses of PlatformViewer in org.jmol.api

Methods in org.jmol.api with parameters of type PlatformViewer
Modifier and Type
Method
Description
`void`
GenericMenuInterface.`jpiInitialize(PlatformViewer vwr, String menu)`
`void`
GenericPlatform.`setViewer(PlatformViewer vwr, Object display)`

## Uses of PlatformViewer in org.jmol.awt

Methods in org.jmol.awt with parameters of type PlatformViewer
Modifier and Type
Method
Description
`void`
Platform.`setViewer(PlatformViewer vwr, Object display)`

## Uses of PlatformViewer in org.jmol.awtjs2d

Methods in org.jmol.awtjs2d with parameters of type PlatformViewer
Modifier and Type
Method
Description
`void`
Platform.`setViewer(PlatformViewer vwr, Object canvas)`

## Uses of PlatformViewer in org.jmol.popup

Methods in org.jmol.popup with parameters of type PlatformViewer
Modifier and Type
Method
Description
`void`
JmolGenericPopup.`jpiInitialize(PlatformViewer vwr, String menu)`

## Uses of PlatformViewer in org.jmol.viewer

Classes in org.jmol.viewer that implement PlatformViewer
Modifier and Type
Class
Description
`class`
`Viewer`

## Uses of PlatformViewer in org.openscience.jmol.app.janocchio

Classes in org.openscience.jmol.app.janocchio that implement PlatformViewer
Modifier and Type
Class
Description
`class`
`NMR_Viewer`
Implements some lost interfaces.